Monday, September 4, 2017 2:21:14 PM

Vocalizer Expressive V2.2 for NVDA

Last updated on Wednesday, April 8, 2020 - 18:32 by abdulmuhamin
Operating system: 
Sharing Options Share this

Its the vocalizer expressive latest version, V2.2 for NVDA. Yes! The same which you are using with JAWS and on your iOS devices, is now available for your favourite screen reader for windows, called NVDA.

To use these voices, you must install the updated version of vocalizer driver for NVDA, which is also listed below in the download section.

Note: To use these voices, you must have visual C plus plus redistributable packages versions 2005, 2008, 2010, 2012, 2013 and 2015 installed on your machine. If you are using a 64bit operating system, then don't forget to install both x86 and x64 flavours of all versions. To learn more or download all required redistributable packages, please visit This Download Page

Download: